Package net.snowflake.client.jdbc

## Class QueryStatusV2

- java.lang.Object
- - net.snowflake.client.jdbc.QueryStatusV2

    public final class QueryStatusV2
    extends Object

### Constructor Summary

Constructors
`QueryStatusV2​(long endTime, int errorCode, String errorMessage, String id, String name, long sessionId, String sqlText, long startTime, String state, int totalDuration, String warehouseExternalSize, int warehouseId, String warehouseName, String warehouseServerType)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static QueryStatusV2` `empty()`
`String` `getDescription()` To preserve compatibility with `QueryStatus`
`long` `getEndTime()`
`int` `getErrorCode()`
`String` `getErrorMessage()`
`String` `getId()`
`String` `getName()`
`long` `getSessionId()`
`String` `getSqlText()`
`long` `getStartTime()`
`String` `getState()`
`QueryStatus` `getStatus()`
`int` `getTotalDuration()`
`String` `getWarehouseExternalSize()`
`int` `getWarehouseId()`
`String` `getWarehouseName()`
`String` `getWarehouseServerType()`
`boolean` `isAnError()`
`boolean` `isEmpty()`
`boolean` `isStillRunning()`
`boolean` `isSuccess()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryStatusV2

    public QueryStatusV2​(long endTime,
                         int errorCode,
                         String errorMessage,
                         String id,
                         String name,
                         long sessionId,
                         String sqlText,
                         long startTime,
                         String state,
                         int totalDuration,
                         String warehouseExternalSize,
                         int warehouseId,
                         String warehouseName,
                         String warehouseServerType)

### Method Detail

#### empty

    public static QueryStatusV2 empty()

#### isEmpty

    public boolean isEmpty()

#### isStillRunning

    public boolean isStillRunning()

#### isSuccess

    public boolean isSuccess()

#### isAnError

    public boolean isAnError()

#### getEndTime

    public long getEndTime()

#### getErrorCode

    public int getErrorCode()

#### getErrorMessage

    public String getErrorMessage()

#### getId

    public String getId()

#### getName

    public String getName()

#### getSessionId

    public long getSessionId()

#### getSqlText

    public String getSqlText()

#### getStartTime

    public long getStartTime()

#### getState

    public String getState()

#### getTotalDuration

    public int getTotalDuration()

#### getWarehouseExternalSize

    public String getWarehouseExternalSize()

#### getWarehouseId

    public int getWarehouseId()

#### getWarehouseName

    public String getWarehouseName()

#### getWarehouseServerType

    public String getWarehouseServerType()

#### getDescription

    public String getDescription()

To preserve compatibility with `QueryStatus`

#### getStatus

    public QueryStatus getStatus()